package org.gcube.gcat.social;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import org.gcube.com.fasterxml.jackson.databind.JsonNode;
import org.gcube.com.fasterxml.jackson.databind.ObjectMapper;

public class PortalUserTest {
	
	private static final Logger logger = LoggerFactory.getLogger(PortalUserTest.class);
	
	@Test
	public void testGetUserProfile() throws Exception {
		PortalUser portalUser = new PortalUser();
		JsonNode jsonNode = portalUser.getOAuthUserProfile();
		ObjectMapper objectMapper = new ObjectMapper();
		logger.debug("OAuth User Profile is {}", objectMapper.writeValueAsString(jsonNode));
	}
}
